WSE 3.0 文档翻译:什么时候使用WSE 3.0

作者:jillzhang
声明:第一次试着翻译文档,英语水平很菜,大家辩证着看

   WSE(Web Service Enhancements for Microsoft.Net)能够帮助您开发出安全的、可集成的网络服务,而且这些网络服务是基于产业规范的,并能够实现基于网络安全规范的端到端消息级别的安全性。

  • 使用.Net Framework或者visual studio.net2005

    您只有使用.Net Framework 2.0或者Visual Studio.Net 2005的时候才能使用WSE 3.0创建安全的网络服务

  • 与Windows Communication Foundaction (WCF)进行集成

    使用了WSE 3.0的网络服务客户端能与Windows Communication Foundaction(WCF)进行交互,附加的,WCF的客户端也能够与使用了WSE3.0的网络服务的服务端进行交互,需要注意的是:WSE3.0和WCF只在HTTP协议的通讯安全机制上有兼容,在对于其他协议,例如TCP则不提供保障。

  • 简化网络服务的安全

    相比以前版本的WSE,通过声明性的安全设置,WSE3.0简化了网络服务的安全模型,取代对每一个Soap基本消息的应用安全性的做法,这些对Soap消息交换安全的设置是基于分布式应用程序的关口之上的。

作者:jillzhang
声明:第一次试着翻译文档,英语水平很菜,大家辩证着看

posted @ 2007-12-27 17:14 Robin Zhang 阅读(...) 评论(...) 编辑 收藏